Skip to main content
POST
/
api
/
datasets
/
{dataset_id}
/
filesystem
/
move
Move Dataset Filesystem Entry
curl --request POST \
  --url https://api.example.com/api/datasets/{dataset_id}/filesystem/move \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "source_path": "<string>",
  "destination_dir": ""
}
'
{
  "dataset_id": "<string>",
  "source_path": "<string>",
  "destination_path": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Path Parameters

dataset_id
string
required

Query Parameters

version_id
string
default:original

Must be "original" for write operations

Cookies

antidote_session
string | null

Body

application/json
source_path
string
required
destination_dir
string
default:""

Response

Successful Response

dataset_id
string
required
source_path
string
required
destination_path
string
required
entry_type
enum<string>
required
Available options:
file,
folder